=== modified file 'bzr'
--- bzr	2007-05-08 20:03:44 +0000
+++ bzr	2007-06-15 07:00:05 +0000
@@ -101,6 +101,10 @@
     if profiling:
         profile_imports.log_stack_info(sys.stderr)
 
+    # run anything registered by atexit, because it won't be run in the normal
+    # way
+    sys.exitfunc()
+
     # By this point we really have completed everything we want to do, and
     # there's no point doing any additional cleanup.  Abruptly exiting here
     # stops any background threads getting into trouble as code is unloaded,

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2007-05-19 08:39:34 +0000
+++ bzrlib/tests/__init__.py	2007-06-15 07:00:05 +0000
@@ -1857,6 +1857,7 @@
         For TestCaseInTempDir we create a temporary directory based on the test
         name and then create two subdirs - test and home under it.
         """
+        # create a directory within the top level test directory
         candidate_dir = tempfile.mkdtemp(dir=self.TEST_ROOT)
         # now create test and home directories within this dir
         self.test_base_dir = candidate_dir

